Subject: bug#37630: 27.0.50; image-mode-fit-frame doesn't

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Oct 2019 12:13:53 +0300

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Tue, 8 Oct 2019 10:43:51 +0200
> 
>  > I hope Martin will help us out here.
> 
> If he only could (I don't use Emacs for images).  On my MSYS 64 bit
> build, I can't display splash.svg getting the somewhat vague error
> 
> Using vacuous schema
> Type C-c C-c or C-c C-x to view the image as an image or hex.
> Cannot display image: (Invalid image specification)

Are you unable to display SVG images in general?

Anyway, I get the same incorrect behavior if I use splash.png.  I
don't think it matters which image format of the splash image you use,
you will get the same behavior.  So just use whatever image types your
build supports.

> When I instead try to display some jpg image here via C-x C-f I first
> get a separate frame which is slightly larger than that image: When I
> now do M-x image-mode-fit-frame in that frame, the frame resizes as
> expected without any cropping.

Which JPG image did you use?

> Looking at the code of 'image-mode-fit-frame' I can't find anything
> wrong with
> 
> 	  (set-frame-height frame (+ (ceiling (cdr size))
> 				     height (- inner-height)))
> 
> and would be surprised if this failed unless some frame properties
> changed in between the 'frame-height' and the 'window-inside-edges'
> calls.  Maybe it's also the strange saving modus that interferes in
> your setups.  The
> 
> 			       (list (cons (frame-width)
> 					   (frame-height))
> 
> doesn't look like TRT when FRAME is not the selected frame but so far
> I have no idea how this code is supposed to behave at all.  In either
> case, make sure the 'image-mode-saved-params' parameter is nil before
> calling 'image-mode-fit-frame'.

My recipe is in "emacs -Q", so I guess this condition holds?